## visad.data.netcdf.out
Class TrivialAccessor

    java.lang.Object
      visad.data.netcdf.out.TrivialAccessor

All Implemented Interfaces:
  VisADAccessor

class TrivialAccessor
extends Object
implements VisADAccessor

The TrivialAccessor class terminates the linked-list of DataAccessors at the outermost, VisAD data object.

Constructor Summary
`protected` `TrivialAccessor(Data data)` Construct from a VisAD data object.

Method Summary
`Object` `get(int[] indexes)` Return a datum given its location as netCDF indexes.
`Dimension[]` `getDimensions()` Return the netCDF dimensions at the level of the data object.
`int[]` `getLengths()` Return the netCDF dimensional lengths.
`int` `getRank()` Return the number of netCDF dimensions at the current level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrivialAccessor

    protected TrivialAccessor(Data data)

  Construct from a VisAD data object.

Parameters:
  `data` - The outermost VisAD data object.

Method Detail

### getRank

    public int getRank()

  Return the number of netCDF dimensions at the current level.

  Specified by:
    `getRank` in interface `VisADAccessor`
  Returns:
    The rank of the data object.

### getDimensions

    public Dimension[] getDimensions()

  Return the netCDF dimensions at the level of the data object. Include all dimensions in more outer data objects.

  Specified by:
    `getDimensions` in interface `VisADAccessor`
  Returns:
    The netCDF dimensions of the data object.

### getLengths

    public int[] getLengths()

  Return the netCDF dimensional lengths.

  Specified by:
    `getLengths` in interface `VisADAccessor`
  Returns:
    The dimensional lengths of the data object.

### get

    public Object get(int[] indexes)
               throws IOException

  Return a datum given its location as netCDF indexes.

  Specified by:
    `get` in interface `VisADAccessor`
  Returns:
    The data object at the position given by `localIndexes` and `outerIndexes`.
  Throws:
    `IOException` - Data access I/O failure.